package com.bzd.system.service.yxgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 组合商品信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYxglZhspCombinationproductService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYxglZhspCombinationproduct(PageData pd)throws Exception {
        return daoSupport.update("SYxglZhspCombinationproductMapper.addSYxglZhspCombinationproduct", pd);
    }

    public List<PageData> findSYxglZhspCombinationproductList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYxglZhspCombinationproductMapper.selectSYxglZhspCombinationproductList", pd);
    }

    public Integer SYxglZhspCombinationproductRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYxglZhspCombinationproductMapper.SYxglZhspCombinationproductRemove", pd);
    }


    public Integer updateSYxglZhspCombinationproduct(PageData pd)throws Exception {
        return daoSupport.update("SYxglZhspCombinationproductMapper.updateSYxglZhspCombinationproduct", pd);
    }

}
